# $Id: faad2.spec,v 1.4 2003/05/14 12:17:47 dude Exp $

%{!?_without_xmms:%define xmmsinputdir %(xmms-config --input-plugin-dir)}

Summary: Library and frontend for decoding MPEG2/4 AAC.
Name: faad2
Version: 1.1
Release: fr2.20030409
License: GPL
Group: Applications/Multimedia
Source0: http://download.sourceforge.net/faad/%{name}-%{version}.tar.gz
URL: http://www.audiocoding.com/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf, automake, libtool, gcc-c++
BuildRequires: libsndfile-devel >= 1.0.0
%{!?_without_xmms:BuildRequires: xmms-devel, id3lib-devel}

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

Available rpmbuild rebuild options :
--without : xmms


%package -n xmms-aac
Summary: X MultiMedia System input plugin to play AAC files.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}, xmms, id3lib

%description -n xmms-aac
This xmms plugin reads AAC files with and without ID3 tags (version 2.x).
AAC files are MPEG2 or MPEG4 files that can be found in MPEG4 audio files
(.mp4). MPEG4 files with AAC inside can be read by RealPlayer or Quicktime.


%package devel
Summary: Development libraries of the FAAD 2 AAC decoder.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

This package contains development files and documentation for libfaad.


%prep
%setup -q -n %{name}

%build
chmod 755 bootstrap && ./bootstrap
%configure
make

%if %{?_without_xmms:0}%{!?_without_xmms:1}
# The xmms plugin part... did you say "ugly"? :-/
ln -s libfaad/.libs lib
(cd plugins/xmms
 chmod 755 bootstrap && ./bootstrap
 FAAD2_DIR=%{_builddir}/%{name} ID3_DIR=%{_prefix} ./configure
 make
)
%endif

%install
rm -rf %{buildroot}
%makeinstall
%{!?_without_xmms:install -D -m755 plugins/xmms/src/libaac.so %{buildroot}%{xmmsinputdir}/libaac.so}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%if %{?_without_xmms:0}%{!?_without_xmms:1}
%files -n xmms-aac
%defattr(-, root, root)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%doc plugins/xmms/README plugins/xmms/TODO
%{xmmsinputdir}/*.so
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added xmms plugin build.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.
- Update to latest CVS checkout to fix compile problem.

* Fri Aug 10 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- changes to compile v1.1 release

* Tue Jun 18 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- First RPM.

